Bug 425804 - pdftex.map file incomplete, many fonts ignored
pdftex.map file incomplete, many fonts ignored
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-12-15 20:37 EST by Jonathan Underwood
Modified: 2013-07-02 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-23 00:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-12-15 20:37:36 EST
Description of problem:
While building the emacs-auctex package, which uses latex, I see numerous
messages of this type:

pdfTeX warning: /usr/bin/pdflatex (file /var/lib/texmf/fonts/map/pdftex/updmap/
pdftex.map): ambiguous entry for `ecbm1440': font file present but not included
, will be treated as font file not present

All messages are identical except for the font name. The full build.log is here:

Something looks very wrong.

Version-Release number of selected component (if applicable):
texlive-2007.2 I think - whatever is in Rawhide today.
Comment 1 Patrice Dumas 2008-01-10 19:48:13 EST
I also had an application that failed because updmap hadn't been 

What about my proposal, that is having a requires(post) on the
script in the texmf packages, which would insure that the scripts
are run after texmf packages installation?
Comment 2 Jindrich Novy 2008-01-16 08:44:09 EST
I applied temporary fix for this in rawhide. We need to figure out how to force
updmap to create unambiguous entries in pdflatex.map, what I failed to
accomplish yet. I used the map files originally shipped within the original
TeXLive 2007 and they work perfectly for me.

FYI: the pdflatex map files are ambiguously generated in %post scriptlet via the
updmap-sys call and in texconfig-sys init call in the scriptlet for the latex

Closing RAWHIDE for now even though it's not a complete fix but workaround. The
discussion could go on here.
Comment 3 Patrice Dumas 2008-01-16 11:04:51 EST
Isn't it because they are created before all the fonts are
installed, or because updmap isn't called with --syncwithtree?
Comment 4 Patrice Dumas 2008-01-16 11:29:08 EST
Also I may be missing something, but the original line in 
/usr/share...pdftex.map is
ecbm1440 SFBM1440 "T1Encoding ReEncodeFont" <cm-super-t1.enc <sfbm1440.pfb
though none of cm-super-t1.enc sfbm1440.pfb is present. After 
running updmap, the result is:
ecbm1440 cm-super-t1 sfbm1440
which seems to come from 
is certainly not less problematic.
Comment 5 Patrice Dumas 2008-01-17 18:40:39 EST
I think I understand the issue a bit more. First the entries
in the original pdftex.map come from psfonts_t1.map. It is linked
to psfonts_pk.map since we have
dvipsPreferOutline true
However psfonts_pk.map is not specified while cm-super-t1.map is.

Now the entry in cm-super-t1.map is not valid for pdftex because in
ecbm1440 cm-super-t1 sfbm1440
sfbm1440 is the file name and it is not included (prefixed with <
or <<), and in that case (as said in the pdftex manual) there must be
some fontflag and in any case doesn't seems to make much sense.

So the issue seems to me that a dvipdfm map format is used for
a pdftex map format and they are not compatible. It is very possible that
the right cm-super-t1.map is in a font package that is not currently
in fedora texlive. And it also seems to me that the dvipdfm maps should
be generated from the pdftex/dvips maps, and that dvipdfm maps should not 
be used directly. I'll ask on the texlive list to be sure.
Comment 6 Patrice Dumas 2008-01-18 03:18:57 EST
As a side note this was already reported by Robin Fairbairns
during the review Bug 229180#35.
Comment 7 Jindrich Novy 2008-01-18 08:03:17 EST
Ok, I managed to fix it by tuning the updmap.cfg. Basically commenting out the
cm-super and fourier maps is enough to calm down pdflatex.

Note You need to log in before you can comment on or make changes to this bug.